Subject: Re: [PATCH 1/2] d80211: Add software RTS support

From: Ivo van Doorn <[email-masked]>
Date: Mon, 5 Feb 2007 19:42:57 +0100

Hi,

> > Did you already send that patchset to the netdev list?
> > Because I haven't seen a patch series about rts for d80211 yet.
> 
> No, [email-masked]

Hmm, wasn't subscribed to that list yet. :(
But now I am. :)

> > The new rt2500usb and rt73usb packet ring handling no longer use a DMA buffer
> > but instead send the sk_buffer->data pointer to the USB layer.
> > The solution as suggested by Jiri could be handled by making sure the rts allocated
> > buffer will also have a tx header room as set in the tx_header_room field. But I am not
> > sure if that would be a better solution than putting the rts packet in a sk_buffer that is being
> > send out just before the real packet...
> 
> In my patchset you can put it into anything you like.
> I put it into an skb.

Sounds good, I'll look that patchset up in the mailarchive.

Ivo